# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-11-27 13:29


import django.db.models.deletion
from django.db import migrations, models
from ..migration_functions import is_sqlite_db


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0066_subject'),
    ]

    operations = []
    if not is_sqlite_db():
        operations = operations + [
            migrations.RunSQL(
                'alter index if exists web_subject_default_written_communication_language_id_0bce1d22 rename to web_studysubject_default_written_communication_language_id_0bce1d22;'),
            migrations.RunSQL(
                'alter index if exists web_subject_languages_subject_id_2cf93044 rename to web_studysubject_languages_subject_id_2cf93044;'),
            migrations.RunSQL(
                'alter index if exists web_subject_languages_language_id_80eca4c1 rename to web_studysubject_languages_language_id_80eca4c1;'),
        ]
    operations = operations + [
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tmp_study_subject_id', models.IntegerField()),
                ('sex',
                 models.CharField(choices=[('M', 'Male'), ('F', 'Female')], max_length=1, verbose_name='Sex')),
                ('first_name', models.CharField(max_length=50, verbose_name='First name')),
                ('last_name', models.CharField(max_length=50, verbose_name='Last name')),
                ('phone_number', models.CharField(blank=True, max_length=20, null=True, verbose_name='Phone number')),
                ('phone_number_2',
                 models.CharField(blank=True, max_length=20, null=True, verbose_name='Phone number 2')),
                ('phone_number_3',
                 models.CharField(blank=True, max_length=20, null=True, verbose_name='Phone number 3')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='E-mail')),
                ('date_born', models.DateField(blank=True, null=True, verbose_name='Date of birth (YYYY-MM-DD)')),
                ('address', models.CharField(blank=True, max_length=255, verbose_name='Address')),
                ('postal_code', models.CharField(blank=True, max_length=7, verbose_name='Postal code')),
                ('city', models.CharField(blank=True, max_length=50, verbose_name='City')),
                ('dead', models.BooleanField(default=False, verbose_name='Deceased')),
                ('country', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='web.Country',
                                              verbose_name='Country')),
                ('default_written_communication_language',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                   related_name='subjects_written_communication', to='web.Language',
                                   verbose_name='Default language for document generation')),
                ('languages', models.ManyToManyField(blank=True, to='web.Language', verbose_name='Known languages')),
            ],
        ),
        migrations.RunSQL('insert into web_subject (tmp_study_subject_id, sex, first_name, last_name, phone_number, ' +
                          'phone_number_2, phone_number_3, email, date_born, address, postal_code, city, dead, ' +
                          'country_id, default_written_communication_language_id) ' +
                          'select id, sex, first_name, last_name, phone_number, phone_number_2, phone_number_3, ' +
                          'email, date_born, address, postal_code, city, dead, country_id, '
                          'default_written_communication_language_id from web_studysubject;'),
        migrations.AddField(
            model_name='studysubject',
            name='subject',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='web.Subject',
                                    verbose_name='Subject'),
        ),
        migrations.RunSQL('update web_studysubject set subject_id = ' +
                          '(select id from web_subject where tmp_study_subject_id =web_studysubject.id);'),
        migrations.RemoveField(
            model_name='subject',
            name='tmp_study_subject_id',
        ),
        migrations.AlterField(
            model_name='studysubject',
            name='subject',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='web.Subject',
                                    verbose_name='Subject'),
        ),
    ]
