# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-12-04 12:35


import django.db.models.deletion
from django.db import migrations, models

from ..migration_functions import is_sqlite_db


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0078_auto_20171204_1040'),
    ]

    operations = [
        migrations.CreateModel(
            name='StudyNotificationParameters',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('exceeded_visits_visible', models.BooleanField(default=True, verbose_name='exceeded visit time')),
                ('missing_redcap_subject_visible',
                 models.BooleanField(default=True, verbose_name='missing RED Cap subject')),
                ('inconsistent_redcap_subject_visible',
                 models.BooleanField(default=True, verbose_name='inconsistent RED Cap subject')),
                ('subject_require_contact_visible',
                 models.BooleanField(default=True, verbose_name='subject required contact')),
                ('subject_no_visits_visible', models.BooleanField(default=True, verbose_name='subject without visit')),
                ('unfinished_visits_visible', models.BooleanField(default=True, verbose_name='unfinished visits')),
                ('visits_with_missing_appointments_visible',
                 models.BooleanField(default=True, verbose_name='visits with missing appointments')),
                ('approaching_visits_without_appointments_visible',
                 models.BooleanField(default=True, verbose_name='approaching visits')),
                ('approaching_visits_for_mail_contact_visible',
                 models.BooleanField(default=True, verbose_name='post mail for approaching visits')),
                ('unfinished_appointments_visible',
                 models.BooleanField(default=True, verbose_name='unfinished appointments')),
            ],
        )]

    if not is_sqlite_db():
        operations.append(migrations.RunSQL('insert into web_studynotificationparameters (exceeded_visits_visible,' +
                                            'missing_redcap_subject_visible,' +
                                            'inconsistent_redcap_subject_visible,' +
                                            'subject_require_contact_visible,' +
                                            'subject_no_visits_visible,' +
                                            'unfinished_visits_visible,' +
                                            'visits_with_missing_appointments_visible,' +
                                            'approaching_visits_without_appointments_visible,' +
                                            'approaching_visits_for_mail_contact_visible,' +
                                            'unfinished_appointments_visible' +
                                            ') values(true, true, true, true, true, true, true, true, true, true)'))
    else:
        operations.append(migrations.RunSQL('insert into web_studynotificationparameters (exceeded_visits_visible,' +
                                            'missing_redcap_subject_visible,' +
                                            'inconsistent_redcap_subject_visible,' +
                                            'subject_require_contact_visible,' +
                                            'subject_no_visits_visible,' +
                                            'unfinished_visits_visible,' +
                                            'visits_with_missing_appointments_visible,' +
                                            'approaching_visits_without_appointments_visible,' +
                                            'approaching_visits_for_mail_contact_visible,' +
                                            'unfinished_appointments_visible' +
                                            ') values(1, 1, 1, 1, 1, 1, 1, 1, 1, 1)'))
    operations.append(migrations.AddField(
        model_name='study',
        name='notification_parameters',
        field=models.OneToOneField(default=1, on_delete=django.db.models.deletion.CASCADE,
                                   to='web.StudyNotificationParameters'),
        preserve_default=False,
    ))
