# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-12-04 13:41


from django.db import migrations, models

from ..migration_functions import is_sqlite_db


# noinspection PyUnusedLocal
# noinspection PyPep8Naming
def create_default_columns_for_SUBJECT_LIST_REQUIRE_CONTACT(apps, schema_editor):
    # We can't import the Study model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    SubjectColumns = apps.get_model("web", "SubjectColumns")
    subject_columns = SubjectColumns.objects.create()
    subject_columns.sex = False
    subject_columns.first_name = True
    subject_columns.last_name = True
    subject_columns.languages = False
    subject_columns.default_written_communication_language = True
    subject_columns.phone_number = False
    subject_columns.phone_number_2 = False
    subject_columns.phone_number_3 = False
    subject_columns.email = False
    subject_columns.date_born = False
    subject_columns.address = False
    subject_columns.postal_code = False
    subject_columns.city = False
    subject_columns.country = False
    subject_columns.dead = False
    subject_columns.save()

    StudyColumns = apps.get_model("web", "StudyColumns")
    study_columns = StudyColumns.objects.create()
    study_columns.postponed = False
    study_columns.datetime_contact_reminder = True
    study_columns.type = False
    study_columns.default_location = False
    study_columns.flying_team = False
    study_columns.screening_number = False
    study_columns.nd_number = False
    study_columns.mpower_id = False
    study_columns.comments = False
    study_columns.referral = False
    study_columns.diagnosis = False
    study_columns.year_of_diagnosis = False
    study_columns.information_sent = False
    study_columns.pd_in_family = False
    study_columns.resigned = False
    study_columns.resign_reason = False
    study_columns.save()


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0079_auto_20171204_1235'),
    ]

    operations = [
        migrations.AlterField(
            model_name='studycolumns',
            name='datetime_contact_reminder',
            field=models.BooleanField(choices=[(True, 'Yes'), (False, 'No')], default=True,
                                      verbose_name='Last contact attempt'),
        )]
    if is_sqlite_db():
        operations.append(migrations.RunSQL('UPDATE web_studycolumns SET datetime_contact_reminder =0 WHERE ' +
                                            'NOT(id IN (SELECT columns_id FROM web_study));'))
    else:
        operations.append(migrations.RunSQL('UPDATE web_studycolumns SET datetime_contact_reminder =FALSE WHERE ' +
                                            'NOT(id IN (SELECT columns_id FROM web_study));'))

    operations = operations + [migrations.RunPython(create_default_columns_for_SUBJECT_LIST_REQUIRE_CONTACT),

        migrations.RunSQL('INSERT INTO web_studysubjectlist (' +
                          'study_id, ' +
                          'visible_subject_study_columns_id, ' +
                          'visible_subject_columns_id, ' +
                          'type) ' +
                          "SELECT " +
                          "1, " +
                          "max(web_studycolumns.id), " +
                          "max(web_subjectcolumns.id), " +
                          "'REQUIRE_CONTACT' FROM web_studycolumns, web_subjectcolumns;"),
    ]
