# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-12-04 14:31


from django.db import migrations, models

from ..migration_functions import is_sqlite_db


# noinspection PyUnusedLocal
# noinspection PyPep8Naming
def create_default_columns_for_SUBJECT_LIST_NO_VISIT(apps, schema_editor):
    # We can't import the Study model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    SubjectColumns = apps.get_model("web", "SubjectColumns")
    subject_columns = SubjectColumns.objects.create()
    subject_columns.sex = False
    subject_columns.first_name = True
    subject_columns.last_name = True
    subject_columns.languages = False
    subject_columns.default_written_communication_language = False
    subject_columns.phone_number = False
    subject_columns.phone_number_2 = False
    subject_columns.phone_number_3 = False
    subject_columns.email = False
    subject_columns.date_born = False
    subject_columns.address = False
    subject_columns.postal_code = False
    subject_columns.city = False
    subject_columns.country = False
    subject_columns.dead = False
    subject_columns.save()

    StudyColumns = apps.get_model("web", "StudyColumns")
    study_columns = StudyColumns.objects.create()
    study_columns.postponed = False
    study_columns.datetime_contact_reminder = False
    study_columns.type = True
    study_columns.default_location = True
    study_columns.flying_team = True
    study_columns.screening_number = True
    study_columns.nd_number = False
    study_columns.mpower_id = False
    study_columns.comments = False
    study_columns.referral = True
    study_columns.diagnosis = False
    study_columns.year_of_diagnosis = False
    study_columns.information_sent = True
    study_columns.pd_in_family = False
    study_columns.resigned = False
    study_columns.resign_reason = False
    study_columns.save()


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0080_auto_20171204_1341'),
    ]

    operations = [
        migrations.AddField(
            model_name='studysubjectlist',
            name='visits',
            field=models.BooleanField(default=True, verbose_name='Visits summary'),
        ),
        migrations.AddField(
            model_name='studysubjectlist',
            name='last_contact_attempt',
            field=models.BooleanField(default=False, verbose_name='Last contact attempt'),
        ),
        migrations.RunPython(create_default_columns_for_SUBJECT_LIST_NO_VISIT),
    ]
    if is_sqlite_db():
        operations.append(migrations.RunSQL('INSERT INTO web_studysubjectlist (' +
                                            'study_id, ' +
                                            'visible_subject_study_columns_id, ' +
                                            'visible_subject_columns_id, ' +
                                            'last_contact_attempt,'
                                            'visits,'
                                            'type) ' +
                                            "SELECT " +
                                            "1, " +
                                            "max(web_studycolumns.id), " +
                                            "max(web_subjectcolumns.id), " +
                                            "0, " +
                                            "0, " +
                                            "'NO_VISIT' FROM web_studycolumns, web_subjectcolumns;"))
    else:
        operations.append(migrations.RunSQL('INSERT INTO web_studysubjectlist (' +
                                            'study_id, ' +
                                            'visible_subject_study_columns_id, ' +
                                            'visible_subject_columns_id, ' +
                                            'last_contact_attempt,'
                                            'visits,'
                                            'type) ' +
                                            "SELECT " +
                                            "1, " +
                                            "max(web_studycolumns.id), " +
                                            "max(web_subjectcolumns.id), " +
                                            "false, " +
                                            "false, " +
                                            "'NO_VISIT' FROM web_studycolumns, web_subjectcolumns;"))
