# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-04-04 09:43


from django.db import migrations

from web.models.constants import RED_CAP_LANGUAGE_4_FIELD_TYPE, RED_CAP_LANGUAGE_3_FIELD_TYPE, \
    RED_CAP_LANGUAGE_2_FIELD_TYPE, RED_CAP_LANGUAGE_1_FIELD_TYPE, RED_CAP_MPOWER_ID_FIELD_TYPE, RED_CAP_DEAD_FIELD_TYPE, \
    RED_CAP_SEX_FIELD_TYPE, RED_CAP_DATE_BORN_FIELD_TYPE, RED_CAP_ND_NUMBER_FIELD_TYPE, RED_CAP_VIRUS_FIELD_TYPE


def create_item(apps, type, value, name):
    # We can't import the ConfigurationItem model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    ConfigurationItem = apps.get_model("web", "ConfigurationItem")
    item = ConfigurationItem.objects.create()
    item.type = type
    item.value = value
    item.name = name
    item.save()


def configuration_items(apps, schema_editor):
    create_item(apps, RED_CAP_LANGUAGE_4_FIELD_TYPE, "dm_language_4",
                "Redcap field for language 4")
    create_item(apps, RED_CAP_LANGUAGE_3_FIELD_TYPE, "dm_language_3",
                "Redcap field for language 3")
    create_item(apps, RED_CAP_LANGUAGE_2_FIELD_TYPE, "dm_language_2",
                "Redcap field for language 2")
    create_item(apps, RED_CAP_LANGUAGE_1_FIELD_TYPE, "dm_language_1",
                "Redcap field for language 1")
    create_item(apps, RED_CAP_MPOWER_ID_FIELD_TYPE, "dm_mpowerid",
                "Redcap field for mPowerId")
    create_item(apps, RED_CAP_DEAD_FIELD_TYPE, "dm_death",
                "Redcap field for deceased")
    create_item(apps, RED_CAP_SEX_FIELD_TYPE, "cdisc_dm_sex",
                "Redcap field for sex")
    create_item(apps, RED_CAP_DATE_BORN_FIELD_TYPE, "cdisc_dm_brthdtc",
                "Redcap field for birth date")
    create_item(apps, RED_CAP_ND_NUMBER_FIELD_TYPE, "cdisc_dm_usubjd",
                "Redcap field for subject id")
    create_item(apps, RED_CAP_VIRUS_FIELD_TYPE, "",
                "Redcap field for virus test result")


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0158_configurationitem_email_items'),
    ]

    operations = [
        migrations.RunPython(configuration_items),
    ]
