# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-04-04 09:43


from django.db import migrations

from web.models.constants import RED_CAP_IGA_STATUS_FIELD_TYPE, RED_CAP_IGG_STATUS_FIELD_TYPE


def create_item(apps, type, value, name):
    # We can't import the ConfigurationItem model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    ConfigurationItem = apps.get_model("web", "ConfigurationItem")
    item = ConfigurationItem.objects.create()
    item.type = type
    item.value = value
    item.name = name
    item.save()


def configuration_items(apps, schema_editor):
    create_item(apps, RED_CAP_IGA_STATUS_FIELD_TYPE, "",
                "Redcap field for IgA status in the visit")
    create_item(apps, RED_CAP_IGG_STATUS_FIELD_TYPE, "",
                "Redcap field for IgG status in the visit")


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0170_auto_20200525_1126'),
    ]

    operations = [
        migrations.RunPython(configuration_items),
    ]
