# Generated by Django 2.0.13 on 2020-11-26 10:42

import django.core.files.storage
from django.db import migrations, models

from web.models.constants import REDCAP_TOKEN_CONFIGURATION_TYPE, VALUE_TYPE_PASSWORD, NEXMO_API_KEY, NEXMO_API_SECRET


def configuration_items(apps, item_type):
    # We can't import the ConfigurationItem model directly as it may be a newer
    # version than this migration expects. We use the historical version.

    # noinspection PyPep8Naming
    ConfigurationItem = apps.get_model("web", "ConfigurationItem")
    items = ConfigurationItem.objects.filter(
        type__in=[REDCAP_TOKEN_CONFIGURATION_TYPE, NEXMO_API_KEY, NEXMO_API_SECRET]).all()
    for item in items:
        item.value_type = VALUE_TYPE_PASSWORD
        item.save()


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0181_worker_privacy_notice_accepted'),
    ]

    operations = [
        migrations.AddField(
            model_name='configurationitem',
            name='value_type',
            field=models.CharField(choices=[('PASSWORD', 'Password'), ('TEXT', 'Text')], default='TEXT', max_length=32,
                                   verbose_name='Value type'),
        ),
        migrations.AlterField(
            model_name='studysubject',
            name='referral_letter',
            field=models.FileField(blank=True, null=True,
                                   storage=django.core.files.storage.FileSystemStorage(location='~/tmp/upload'),
                                   upload_to='referral_letters', verbose_name='Referral letter'),
        ),
        migrations.RunPython(configuration_items),
    ]
