# Generated by Django 2.0.13 on 2020-11-18 10:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('web', '0183_auto_20201126_1154'),
    ]

    operations = [
        migrations.CreateModel(
            name='EtlData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.CharField(blank=True, default='', max_length=128, verbose_name='File used for automatic import')),
                ('run_at_times', models.CharField(blank=True, default='', max_length=1024, verbose_name='At what time automatic import should run')),
                ('csv_delimiter', models.CharField(blank=False, default=',', max_length=1, verbose_name='CSV delimiter')),
                ('date_format', models.CharField(blank=False, default='%Y-%m-%d', max_length=20, verbose_name='Date format')),
            ],
        ),
        migrations.CreateModel(
            name='VisitImportData',
            fields=[
                ('etldata_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='web.EtlData')),
                ('subject_id_column_name', models.CharField(default='donor_id', max_length=128, verbose_name='Subject id column name')),
                ('visit_date_column_name', models.CharField(default='dateofvisit', max_length=128, verbose_name='Visit date column name')),
                ('location_column_name', models.CharField(default='adressofvisit', max_length=128, verbose_name='Location column name')),
                ('visit_number_column_name', models.CharField(default='visit_id', max_length=128, verbose_name='Visit number column name')),
                ('appointment_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='web.AppointmentType', verbose_name='Default appointment type')),
            ],
            bases=('web.etldata',),
        ),
        migrations.AddField(
            model_name='etldata',
            name='import_worker',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='web.Worker', verbose_name='Worker used by importer'),
        ),
        migrations.AddField(
            model_name='etldata',
            name='study',
            field=models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='web.Study', verbose_name='Study'),
        ),
        migrations.CreateModel(
            name='SubjectImportData',
            fields=[
                ('etldata_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='web.EtlData')),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='web.Country', verbose_name='Default country')),
                ('location', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='web.Location', verbose_name='Default location')),
            ],
            bases=('web.etldata',),
        ),
        migrations.CreateModel(
            name='EtlColumnMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('table_name', models.CharField(blank=True, default='', max_length=128)),
                ('column_name', models.CharField(blank=True, default='', max_length=128)),
                ('csv_column_name', models.CharField(blank=True, default='', max_length=1024)),
                ('enabled', models.BooleanField(default=True)),
                ('etl_data', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='column_mappings', to='web.EtlData', verbose_name='Importer')),
            ],
        ),

    ]
