# Generated by Django 3.1.3 on 2020-12-01 08:03
from django.db import migrations

# noinspection PyUnusedLocal
from web.models.constants import CUSTOM_FIELD_TYPE_TEXT, GLOBAL_STUDY_ID, CUSTOM_FIELD_TYPE_BOOLEAN, \
    CUSTOM_FIELD_TYPE_INTEGER, CUSTOM_FIELD_TYPE_SELECT_LIST, CUSTOM_FIELD_TYPE_DATE


def create_custom_fields(apps, schema_editor):
    # noinspection PyPep8Naming
    StudySubject = apps.get_model("web", "StudySubject")
    if StudySubject.objects.all().count() > 0:
        # noinspection PyPep8Naming
        CustomStudySubjectField = apps.get_model("web", "CustomStudySubjectField")
        # noinspection PyPep8Naming
        CustomStudySubjectValue = apps.get_model("web", "CustomStudySubjectValue")

        mpower_field = CustomStudySubjectField.objects.create(name="MPower ID", type=CUSTOM_FIELD_TYPE_TEXT,
                                                              study_id=GLOBAL_STUDY_ID, unique=True)
        screening_field = CustomStudySubjectField.objects.create(name="Screening", type=CUSTOM_FIELD_TYPE_TEXT,
                                                                 study_id=GLOBAL_STUDY_ID)
        diagnosis_field = CustomStudySubjectField.objects.create(name="Diagnosis", type=CUSTOM_FIELD_TYPE_TEXT,
                                                                 study_id=GLOBAL_STUDY_ID)
        previously_in_study_field = CustomStudySubjectField.objects.create(name="Previously in PDP study",
                                                                           type=CUSTOM_FIELD_TYPE_BOOLEAN,
                                                                           study_id=GLOBAL_STUDY_ID)
        pd_in_family_field = CustomStudySubjectField.objects.create(name="PD in family",
                                                                    type=CUSTOM_FIELD_TYPE_BOOLEAN,
                                                                    study_id=GLOBAL_STUDY_ID)
        brain_donation_agreement_field = CustomStudySubjectField.objects.create(name="Brain donation agreement",
                                                                                type=CUSTOM_FIELD_TYPE_BOOLEAN,
                                                                                study_id=GLOBAL_STUDY_ID)
        year_of_diagnosis_field = CustomStudySubjectField.objects.create(name="Year of diagnosis",
                                                                         type=CUSTOM_FIELD_TYPE_INTEGER,
                                                                         study_id=GLOBAL_STUDY_ID)

        virus_test_1_result_field = CustomStudySubjectField.objects.create(name="Virus 0 RT-PCR",
                                                                           type=CUSTOM_FIELD_TYPE_SELECT_LIST,
                                                                           study_id=GLOBAL_STUDY_ID,
                                                                           possible_values="N/A;Positive;Negative;Inconclusive",
                                                                           default="N/A",
                                                                           readonly=True)
        virus_test_2_result_field = CustomStudySubjectField.objects.create(name="Virus 1 RT-PCR",
                                                                           type=CUSTOM_FIELD_TYPE_SELECT_LIST,
                                                                           study_id=GLOBAL_STUDY_ID,
                                                                           possible_values="N/A;Positive;Negative;Inconclusive",
                                                                           default="N/A",
                                                                           readonly=True)
        virus_test_3_result_field = CustomStudySubjectField.objects.create(name="Virus 2 RT-PCR",
                                                                           type=CUSTOM_FIELD_TYPE_SELECT_LIST,
                                                                           study_id=GLOBAL_STUDY_ID,
                                                                           possible_values="N/A;Positive;Negative;Inconclusive",
                                                                           default="N/A",
                                                                           readonly=True)
        virus_test_4_result_field = CustomStudySubjectField.objects.create(name="Virus 3 RT-PCR",
                                                                           type=CUSTOM_FIELD_TYPE_SELECT_LIST,
                                                                           study_id=GLOBAL_STUDY_ID,
                                                                           possible_values="N/A;Positive;Negative;Inconclusive",
                                                                           default="N/A",
                                                                           readonly=True)
        virus_test_5_result_field = CustomStudySubjectField.objects.create(name="Virus 4 RT-PCR",
                                                                           type=CUSTOM_FIELD_TYPE_SELECT_LIST,
                                                                           study_id=GLOBAL_STUDY_ID,
                                                                           possible_values="N/A;Positive;Negative;Inconclusive",
                                                                           default="N/A",
                                                                           readonly=True)
        virus_test_1_updated_field = CustomStudySubjectField.objects.create(name="Visit 0 RT-PCR update date",
                                                                            type=CUSTOM_FIELD_TYPE_DATE,
                                                                            study_id=GLOBAL_STUDY_ID,
                                                                            default="",
                                                                            readonly=True)
        virus_test_2_updated_field = CustomStudySubjectField.objects.create(name="Visit 1 RT-PCR update date",
                                                                            type=CUSTOM_FIELD_TYPE_DATE,
                                                                            study_id=GLOBAL_STUDY_ID,
                                                                            default="",
                                                                            readonly=True)
        virus_test_3_updated_field = CustomStudySubjectField.objects.create(name="Visit 2 RT-PCR update date",
                                                                            type=CUSTOM_FIELD_TYPE_DATE,
                                                                            study_id=GLOBAL_STUDY_ID,
                                                                            default="",
                                                                            readonly=True)
        virus_test_4_updated_field = CustomStudySubjectField.objects.create(name="Visit 3 RT-PCR update date",
                                                                            type=CUSTOM_FIELD_TYPE_DATE,
                                                                            study_id=GLOBAL_STUDY_ID,
                                                                            default="",
                                                                            readonly=True)
        virus_test_5_updated_field = CustomStudySubjectField.objects.create(name="Visit 4 RT-PCR update date",
                                                                            type=CUSTOM_FIELD_TYPE_DATE,
                                                                            study_id=GLOBAL_STUDY_ID,
                                                                            default="",
                                                                            readonly=True)
        virus_test_1_collection_date_field = CustomStudySubjectField.objects.create(
            name="Visit 0 RT-PCR collection date",
            type=CUSTOM_FIELD_TYPE_DATE,
            study_id=GLOBAL_STUDY_ID,
            default="",
            readonly=True)
        virus_test_2_collection_date_field = CustomStudySubjectField.objects.create(
            name="Visit 1 RT-PCR collection date",
            type=CUSTOM_FIELD_TYPE_DATE,
            study_id=GLOBAL_STUDY_ID,
            default="",
            readonly=True)
        virus_test_3_collection_date_field = CustomStudySubjectField.objects.create(
            name="Visit 2 RT-PCR collection date",
            type=CUSTOM_FIELD_TYPE_DATE,
            study_id=GLOBAL_STUDY_ID,
            default="",
            readonly=True)
        virus_test_4_collection_date_field = CustomStudySubjectField.objects.create(
            name="Visit 3 RT-PCR collection date",
            type=CUSTOM_FIELD_TYPE_DATE,
            study_id=GLOBAL_STUDY_ID,
            default="",
            readonly=True)
        virus_test_5_collection_date_field = CustomStudySubjectField.objects.create(
            name="Visit 4 RT-PCR collection date",
            type=CUSTOM_FIELD_TYPE_DATE,
            study_id=GLOBAL_STUDY_ID,
            default="",
            readonly=True)
        virus_test_1_iga_status_field = CustomStudySubjectField.objects.create(
            name="Visit 0 IgA Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_2_iga_status_field = CustomStudySubjectField.objects.create(
            name="Visit 1 IgA Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_3_iga_status_field = CustomStudySubjectField.objects.create(
            name="Visit 2 IgA Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_4_iga_status_field = CustomStudySubjectField.objects.create(
            name="Visit 3 IgA Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_5_iga_status_field = CustomStudySubjectField.objects.create(
            name="Visit 4 IgA Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_1_igg_status_field = CustomStudySubjectField.objects.create(
            name="Visit 0 IgG Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_2_igg_status_field = CustomStudySubjectField.objects.create(
            name="Visit 1 IgG Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_3_igg_status_field = CustomStudySubjectField.objects.create(
            name="Visit 2 IgG Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_4_igg_status_field = CustomStudySubjectField.objects.create(
            name="Visit 3 IgG Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)
        virus_test_5_igg_status_field = CustomStudySubjectField.objects.create(
            name="Visit 4 IgG Status",
            type=CUSTOM_FIELD_TYPE_SELECT_LIST,
            study_id=GLOBAL_STUDY_ID,
            possible_values="N/A;Positive;Negative;Borderline",
            default="N/A",
            readonly=True)

        for subject in StudySubject.objects.all():
            CustomStudySubjectValue.objects.create(study_subject_field=mpower_field, value=subject.mpower_id,
                                                   study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=screening_field, value=subject.screening,
                                                   study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=diagnosis_field, value=subject.diagnosis,
                                                   study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=previously_in_study_field,
                                                   value=subject.previously_in_study, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=brain_donation_agreement_field,
                                                   value=subject.brain_donation_agreement, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=pd_in_family_field,
                                                   value=subject.pd_in_family, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=year_of_diagnosis_field,
                                                   value=subject.year_of_diagnosis, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_1_result_field,
                                                   value=subject.virus_test_1_result, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_2_result_field,
                                                   value=subject.virus_test_2_result, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_3_result_field,
                                                   value=subject.virus_test_3_result, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_4_result_field,
                                                   value=subject.virus_test_4_result, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_5_result_field,
                                                   value=subject.virus_test_5_result, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_1_updated_field,
                                                   value=subject.virus_test_1_updated, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_2_updated_field,
                                                   value=subject.virus_test_2_updated, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_3_updated_field,
                                                   value=subject.virus_test_3_updated, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_4_updated_field,
                                                   value=subject.virus_test_4_updated, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_5_updated_field,
                                                   value=subject.virus_test_5_updated, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_1_collection_date_field,
                                                   value=subject.virus_test_1_collection_date, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_2_collection_date_field,
                                                   value=subject.virus_test_2_collection_date, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_3_collection_date_field,
                                                   value=subject.virus_test_3_collection_date, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_4_collection_date_field,
                                                   value=subject.virus_test_4_collection_date, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_5_collection_date_field,
                                                   value=subject.virus_test_5_collection_date, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_1_iga_status_field,
                                                   value=subject.virus_test_1_iga_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_2_iga_status_field,
                                                   value=subject.virus_test_2_iga_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_3_iga_status_field,
                                                   value=subject.virus_test_3_iga_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_4_iga_status_field,
                                                   value=subject.virus_test_4_iga_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_5_iga_status_field,
                                                   value=subject.virus_test_5_iga_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_1_igg_status_field,
                                                   value=subject.virus_test_1_igg_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_2_igg_status_field,
                                                   value=subject.virus_test_2_igg_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_3_igg_status_field,
                                                   value=subject.virus_test_3_igg_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_4_igg_status_field,
                                                   value=subject.virus_test_4_igg_status, study_subject=subject)
            CustomStudySubjectValue.objects.create(study_subject_field=virus_test_5_igg_status_field,
                                                   value=subject.virus_test_5_igg_status, study_subject=subject)


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0189_remove_studysubject_virus_test_1'),
    ]

    operations = [
        migrations.RunPython(create_custom_fields),
    ]
