# coding=utf-8
import datetime

from django.db import models
from web.templatetags.filters import basename

class PrivacyNotice(models.Model):
    name = models.CharField(max_length=255, verbose_name='Name')
    created_at = models.DateTimeField(auto_now_add=True, verbose_name='Created at')
    updated_at = models.DateTimeField(auto_now=True, verbose_name='Updated at')
    summary = models.CharField(max_length=255, verbose_name='Summary', blank=False, null=False)
    document   = models.FileField(upload_to='privacy_notices/', 
                                verbose_name='Study Privacy Notice file',
                                null=False, editable=True)

    def __str__(self):
        return f'{self.name} ({basename(self.document.url)})'

    @property
    def all_studies(self):
        return self.studies.all()
