# coding=utf-8
import datetime
import logging

from django.urls import reverse

from web.api_views.voucher import get_vouchers_filtered, get_vouchers_order
from web.models import Voucher
from web.models.constants import VOUCHER_STATUS_USED, VOUCHER_STATUS_NEW
from web.tests import LoggedInWithWorkerTestCase
from web.tests.functions import create_get_suffix, create_voucher, create_voucher_type
from web.views.notifications import get_today_midnight_date

logger = logging.getLogger(__name__)


class TestVoucherTypeApi(LoggedInWithWorkerTestCase):
    def setUp(self):
        super(TestVoucherTypeApi, self).setUp()
        self.voucher_type = create_voucher_type()

    def test_voucher_types_render(self):
        response = self.client.get(reverse('web.api.voucher_types'))
        self.assertEqual(response.status_code, 200)
