import logging

from django.test import TestCase

from web.utils import get_weekdays_in_period

from datetime import date
import datetime

logger = logging.getLogger(__name__)

class Utils(TestCase):
    def test_get_weekdays_in_period(self):
        fromdate = date(2018,10,9)
        todate = date(2018,10,12)
        weekdays = get_weekdays_in_period(fromdate, todate)
        self.assertEqual(weekdays, {2, 3, 4})

        todate  = datetime.datetime(2018, 10, 12, 00, 00, 00)
        fromdate = datetime.datetime(2018, 10, 9, 00, 00, 00)
        weekdays = get_weekdays_in_period(fromdate, todate)
        self.assertEqual(weekdays, {2, 3, 4})