# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-04-04 09:43


from django.db import migrations

from web.models.constants import VIRUS_EMAIL_HOUR_CONFIGURATION_TYPE


def create_item(apps, type, value, name):
    # We can't import the ConfigurationItem model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    ConfigurationItem = apps.get_model("web", "ConfigurationItem")
    item = ConfigurationItem.objects.create()
    item.type = type
    item.value = value
    item.name = name
    item.save()


def configuration_items(apps, schema_editor):
    create_item(apps, VIRUS_EMAIL_HOUR_CONFIGURATION_TYPE, "",
                "At what time a day email with updates about virus tests should be sent")


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0164_configurationitem_email_items_for_redcap'),
    ]

    operations = [
        migrations.RunPython(configuration_items),
    ]
